<?php

defined('_IN_JOHNCMS') or die('Error: restricted access');
require('../incfiles/head.php');

/*
-----------------------------------------------------------------
Удалить картинку
-----------------------------------------------------------------
*/
if ($rights == 9) {
    $req = mysql_query("SELECT * FROM `album_files` WHERE `id` = '$img' LIMIT 1");
    if (mysql_num_rows($req)) {
        $res = mysql_fetch_assoc($req);
        $album = $res['album_id'];
        echo '<div class="phdr"><b>' . $lng_profile['image_delete'] . '</b></div>';
        //TODO: Сделать проверку, чтоб администрация не могла удалять фотки старших по должности
        if (isset($_POST['submit'])) {
            // Удаляем файлы картинок
            @unlink('../files/album/' . $res['img_name']);
            @unlink('../files/album/' . $res['tmb_name']);
            // Удаляем записи из таблиц
            mysql_query("DELETE FROM `album_files` WHERE `id` = '$img'");
            header('Location: ?act=show&al=' . $album . '');
        } else {
            echo '<div class="rmenu"><form action="?act=image_delete&amp;img=' . $img . '" method="post">' .
                '<p>' . $lng_profile['image_delete_warning'] . '</p>' .
                '<p><input type="submit" name="submit" value="' . $lng['delete'] . '"/></p>' .
                '</form></div>' .
                '<div class="phdr"><a href="?act=show&amp;al=' . $album . '">' . $lng['cancel'] . '</a></div>';
        }
    } else {
        echo functions::display_error($lng['error_wrong_data']);
    }
}
?>